﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Cliente>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Editar cliente</h2>

    <% using (Html.BeginForm("Guardar", "Clientes"))
       {%>
        <%: Html.ValidationSummary(true) %>
        
        <fieldset>
            <legend><strong><%: Model.Nombre%> <%: Model.Apellidos%></strong></legend>
            
            <div class="editor-label">
                <%: Html.HiddenFor(model => model.ClienteId) %>
            </div>

            <br />            
            <div class="editor-label">
                Código:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Codigo) %>
                <%: Html.ValidationMessageFor(model => model.Codigo) %>
            </div>
            
            <br />            
            <div class="editor-label">
                Nombre:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Nombre) %>
                <%: Html.ValidationMessageFor(model => model.Nombre) %>
            </div>
            
            <br />            
            <div class="editor-label">
               Apellidos:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Apellidos) %>
                <%: Html.ValidationMessageFor(model => model.Apellidos) %>
            </div>
            
            <br />            
            <div class="display-label">Fecha de alta:</div>
            <div class="display-field"><%: String.Format("{0:d}", Model.FechaAlta) %></div>
            
            <br />            
            <div class="editor-label">
                Fecha de baja:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.FechaBaja, String.Format("{0:d}", Model.FechaBaja)) %>
                <%: Html.ValidationMessageFor(model => model.FechaBaja) %>
            </div>
            
            <p>
                <input type="submit" value="Guardar" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Volver al listado", "Index") %>
    </div>

</asp:Content>

