﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<InteLect.Web.InteLectAdministracionService.Compañia>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Listado de compañías</h2>

    <table>
        <tr>
            <th>
                Código
            </th>
            <th>
                Nombre
            </th>
            <th>
                Fecha de alta
            </th>
            <th>
                Fecha de baja
            </th>
            <th>
                Comentarios
            </th>
            <th></th>
        </tr>

    <% foreach (var item in Model) { %>
    
        <tr>
            <td>
                <%: item.Codigo %>
            </td>
            <td>
                <%: item.Nombre %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaAlta) %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaBaja) %>
            </td>
            <td>
                <%: item.Comentarios %>
            </td>
            <td>
                <%: Html.ActionLink("Detalles", "Detalles", new { id = item.CompañiaId })%> |
                <%: Html.ActionLink("Editar", "Editar", new { id = item.CompañiaId })%> |
                <%: Html.ActionLink("Baja", "Baja", new { id = item.CompañiaId  })%> |
                <%: Html.ActionLink("Ver medidas", "Index", "Medidas", new { id = item.CompañiaId }, null)%>
            </td>
        </tr>
    
    <% } %>

    </table>

    <p>
        <%: Html.ActionLink("Nueva compañía", "Nueva") %>
    </p>

</asp:Content>

