﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Direccion>" %>
<%@ Import Namespace="InteLect.Web.InteLectAdministracionService" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Detalles de la dirección del cliente <strong><%: ((Cliente)ViewData["Client"]).Nombre %> <%: ((Cliente)ViewData["Client"]).Apellidos %></strong></h2>

    <fieldset>
        <legend><%: Model.Nombre %></legend>
        
        <div class="display-label">Código:</div>
        <div class="display-field"><%: Model.Codigo %></div>

        <br />        
        <div class="display-label">Dirección:</div>
        <div class="display-field"><%: Model.Nombre %></div>
        
        <br />        
        <div class="display-label">Código postal:</div>
        <div class="display-field"><%: Model.CodigoPostal %></div>
        
        <br />        
        <div class="display-label">Población:</div>
        <div class="display-field"><%: Model.Poblacion %></div>
        
        <br />        
        <div class="display-label">Provincia:</div>
        <div class="display-field"><%: Model.Provincia %></div>
        
        <br />        
        <div class="display-label">Fecha de alta:</div>
        <div class="display-field"><%: String.Format("{0:d}", Model.FechaAlta) %></div>
        
        <br />        
        <div class="display-label">Fecha de baja:</div>
        <div class="display-field"><%: String.Format("{0:d}", Model.FechaBaja) %></div>
        
        <br />        
        <div class="display-label">Comentarios:</div>
        <div class="display-field"><%: Model.Comentarios %></div>
        
    </fieldset>
    <p>
        <%: Html.ActionLink("Editar", "Editar", new { id=Model.DireccionId }) %> |
        <%: Html.ActionLink("Volver al listado", "Index", new { id = Model.ClienteId })%>
    </p>

</asp:Content>

