﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<InteLect.Web.InteLectAdministracionService.Direccion>>" %>
<%@ Import Namespace="InteLect.Web.InteLectAdministracionService" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Listado de direcciones del cliente <strong><%: ((Cliente)ViewData["Client"]).Nombre %> <%: ((Cliente)ViewData["Client"]).Apellidos %></strong></h2>

    <table>
        <tr>
            <th>
                Código
            </th>
            <th>
                Dirección
            </th>
            <th>
                Código postal
            </th>
            <th>
                Población
            </th>
            <th>
                Provincia
            </th>
            <th>
                Fecha de alta
            </th>
            <th>
                Fecha de baja
            </th>
            <th>
                Comentarios
            </th>
            <th></th>
        </tr>

    <% foreach (var item in Model) { %>
    
        <tr>
            <td>
                <%: item.Codigo %>
            </td>
            <td>
                <%: item.Nombre %>
            </td>
            <td>
                <%: item.CodigoPostal %>
            </td>
            <td>
                <%: item.Poblacion %>
            </td>
            <td>
                <%: item.Provincia %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaAlta) %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaBaja) %>
            </td>
            <td>
                <%: item.Comentarios %>
            </td>
            <td>
                <%: Html.ActionLink("Editar", "Editar", new { id = item.DireccionId })%> |
                <%: Html.ActionLink("Detalles", "Detalles", new { id = item.DireccionId })%> |
                <%: Html.ActionLink("Baja", "Baja", new {  id=item.DireccionId  })%>
            </td>
        </tr>
    
    <% } %>

    </table>

    <p>
        <%: Html.ActionLink("Nueva dirección", "Nueva", new { id = ((Cliente)ViewData["Client"]).ClienteId })%> |
        <%: Html.ActionLink("Volver al listado de clientes", "Index", controllerName: "Clientes") %>
    </p>

</asp:Content>

