﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Direccion>" %>
<%@ Import Namespace="InteLect.Web.InteLectAdministracionService" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Nueva dirección del cliente <strong><%: ((Cliente)ViewData["Client"]).Nombre %> <%: ((Cliente)ViewData["Client"]).Apellidos %></strong></h2>

    <% using (Html.BeginForm("GuardarNueva", "Direcciones"))
       {%>
        <%: Html.ValidationSummary(true) %>

        <fieldset>
            <legend>Dirección</legend>
            
            <div class="editor-field">
                <%: Html.HiddenFor(model => model.ClienteId)%>
            </div>

            <br />            
            <div class="editor-label">
                Código:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Codigo) %>
                <%: Html.ValidationMessageFor(model => model.Codigo) %>
            </div>
            
            <br />            
            <div class="editor-label">
                Dirección:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Nombre) %>
                <%: Html.ValidationMessageFor(model => model.Nombre) %>
            </div>
            
            <br />            
            <div class="editor-label">
                Código postal:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.CodigoPostal) %>
                <%: Html.ValidationMessageFor(model => model.CodigoPostal) %>
            </div>
            
            <br />            
            <div class="editor-label">
                Población:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Poblacion) %>
                <%: Html.ValidationMessageFor(model => model.Poblacion) %>
            </div>
            
            <br />            
            <div class="editor-label">
                Provincia:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Provincia) %>
                <%: Html.ValidationMessageFor(model => model.Provincia) %>
            </div>
            
            <br />            
            <div class="editor-label">
                <%: Html.LabelFor(model => model.Comentarios) %>
            </div>
            <div class="editor-field">
                <%: Html.TextAreaFor(model => model.Comentarios) %>
                <%: Html.ValidationMessageFor(model => model.Comentarios) %>
            </div>
            
            <p>
                <input type="submit" value="Guardar" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Volver al listado", "Index", new { id = Model.ClienteId })%>
    </div>

</asp:Content>

