﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Medida>" %>
<%@ Import Namespace="InteLect.Web.InteLectAdministracionService" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Editar la medida de la compañía <strong><%: ((Compañia)ViewData["Company"]).Nombre %></strong></h2>

    <% using (Html.BeginForm("Guardar", "Medidas"))
        {%>
        <%: Html.ValidationSummary(true) %>
        
        <fieldset>
            <legend><%:Model.Nombre %></legend>
            
            <div class="editor-field">
                <%: Html.HiddenFor(model => model.MedidaId)%>
                <%: Html.HiddenFor(model => model.CompañiaId)%>
            </div>

            <div class="editor-label">
                Código:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Codigo) %>
                <%: Html.ValidationMessageFor(model => model.Codigo) %>
            </div>
            
            <br />

            <div class="editor-label">
                Nombre:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Nombre) %>
                <%: Html.ValidationMessageFor(model => model.Nombre) %>
            </div>
            
            <br />

            <div class="editor-label">
                Unidades:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Unidades) %>
                <%: Html.ValidationMessageFor(model => model.Unidades) %>
            </div>
            
            <br />

            <div class="display-label">Fecha de alta:</div>
            <div class="display-field"><%: String.Format("{0:d}", Model.FechaAlta) %></div>
            
            <br />

            <div class="editor-label">
                Fecha de baja:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.FechaBaja, String.Format("{0:g}", Model.FechaBaja)) %>
                <%: Html.ValidationMessageFor(model => model.FechaBaja) %>
            </div>
            
            <br />

            <div class="editor-label">
                Comentarios:
            </div>
            <div class="editor-field">
                <%: Html.TextAreaFor(model => model.Comentarios) %>
                <%: Html.ValidationMessageFor(model => model.Comentarios) %>
            </div>
            
            <p>
                <input type="submit" value="Guardar" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Volver al listado", "Index", new { id = Model.CompañiaId })%>
    </div>

</asp:Content>

