﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace InteLect.Web
{
    // Nota: para obtener instrucciones sobre cómo habilitar el modo clásico de IIS6 o IIS7, 
    // visite http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );


            routes.MapRoute(
                "Compañias", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "Compañias", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );

            routes.MapRoute(
                "Medidas", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "Medidas", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );

            routes.MapRoute(
                "Clientes", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "Clientes", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );

            routes.MapRoute(
                "Direcciones", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "Direcciones", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );

            routes.MapRoute(
                "Servicios", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "Servicios", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );

            routes.MapRoute(
                "OrdenesTrabajo", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "OrdenesTrabajo", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );

            routes.MapRoute(
                "Usuarios", // Nombre de ruta
                "{controller}/{action}/{id}", // URL con parámetros
                new { controller = "Usuarios", action = "Index", id = UrlParameter.Optional } // Valores predeterminados de parámetro
            );
        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            RegisterRoutes(RouteTable.Routes);
        }
    }
}