﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Medida>" %>
<%@ Import Namespace="InteLect.Web.InteLectAdministracionService" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Detalles de la medida de la compañía <strong><%: ((Compañia)ViewData["Company"]).Nombre %></strong></h2>

    <fieldset>
        <legend><%: Model.Nombre %></legend>
        
        <div class="display-label">Código:</div>
        <div class="display-field"><%: Model.Codigo %></div>
        
        <br />

        <div class="display-label">Nombre:</div>
        <div class="display-field"><%: Model.Nombre %></div>
        
        <br />

        <div class="display-label">Unidades:</div>
        <div class="display-field"><%: Model.Unidades %></div>
        
        <br />

        <div class="display-label">Fecha de alta:</div>
        <div class="display-field"><%: String.Format("{0:d}", Model.FechaAlta) %></div>
        
        <br />

        <div class="display-label">Fecha de baja:</div>
        <div class="display-field"><%: String.Format("{0:d}", Model.FechaBaja) %></div>
        
        <br />

        <div class="display-label">Comentarios:</div>
        <div class="display-field"><%: Model.Comentarios %></div>
        
    </fieldset>
    <p>
        <%: Html.ActionLink("Editar", "Editar", new { id=Model.MedidaId }) %> |
        <%: Html.ActionLink("Volver al listado", "Index", new { id = Model.CompañiaId })%>
    </p>

</asp:Content>

