﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<InteLect.Web.InteLectAdministracionService.Medida>>" %>
<%@ Import Namespace="InteLect.Web.InteLectAdministracionService" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Listado de medidas de la compañía <strong><%: ((Compañia)ViewData["Company"]).Nombre %></strong></h2>

    <table>
        <tr>
            <th>
                Código
            </th>
            <th>
                Nombre
            </th>
            <th>
                Unidades
            </th>
            <th>
                Fecha de alta
            </th>
            <th>
                Fecha de baja
            </th>
            <th>
                Comentarios
            </th>
            <th></th>
        </tr>

    <% foreach (var item in Model) { %>
    
        <tr>
            <td>
                <%: item.Codigo %>
            </td>
            <td>
                <%: item.Nombre %>
            </td>
            <td>
                <%: item.Unidades %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaAlta) %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaBaja) %>
            </td>
            <td>
                <%: item.Comentarios %>
            </td>
            <td>
                <%: Html.ActionLink("Detalles", "Detalles", new { id = item.MedidaId })%> |
                <%: Html.ActionLink("Editar", "Editar", new { id = item.MedidaId })%> |
                <%: Html.ActionLink("Baja", "Baja", new { id = item.MedidaId })%>
            </td>
        </tr>
    
    <% } %>

    </table>

    <p>
        <%: Html.ActionLink("Nueva medida", "Nueva", new { id = ((Compañia)ViewData["Company"]).CompañiaId })%> |
        <%: Html.ActionLink("Volver al listado de compañías", "Index", controllerName: "Compañias") %>
    </p>

</asp:Content>

