﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.OrdenTrabajo>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="../../Scripts/jquery-1.4.1.min.js"></script>
    <script type="text/javascript">
        $.ajaxSetup({ cache: false });

        function getInspectors(selId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetInspectors/")%>', function (inspectors) {
                var items = "";
                $.each(inspectors, function (i, item) {
                    if (item.Nombre == "") {
                        items += "<option value='" + item.UsuarioId + "'></option>";
                    } else {
                        items += "<option value='" + item.UsuarioId + "'>" + item.Apellidos + ", " + item.Nombre + "</option>";
                    }
                });
                if (items != "") {
                    $(selId).html(items);
                    $(selId).removeAttr("disabled");
                }
                else {
                    $(selId).html("");
                    $(selId).attr("disabled", "disabled");
                }
                document.getElementById("UsuarioId").selectedIndex = 0;
            });
        }

        function getServices(selId) {
            $.post('<%: ResolveUrl("~/OrdenesTrabajo/GetServices/")%>', function (services) {
                var items = "";
                $.each(services, function (i, item) {
                    if (item.Codigo == "") {
                        items += "<option value='" + item.ServicioId + "'></option>";
                    } else {
                        items += "<option value='" + item.ServicioId + "'>" + item.Codigo + "</option>";
                    }
                });
                if (items != "") {
                    $(selId).html(items);
                    $(selId).removeAttr("disabled");
                }
                else {
                    $(selId).html("");
                    $(selId).attr("disabled", "disabled");
                }
                document.getElementById("ServicioId").selectedIndex = 0;
            });
        }

        $(document).ready(function () {
            getInspectors("#UsuarioId");
            getServices("#ServicioId");
        });

    </script>

    <h2>Nueva órden de trabajo</h2>

    <% using (Html.BeginForm("GuardarNueva", "OrdenesTrabajo"))
       {%>
        <%: Html.ValidationSummary(true) %>

        <fieldset>
            <legend><strong>Órden de trabajo</strong></legend>
            
            <div class="editor-label">
                Fecha:
            </div>
            <div class="editor-field">
                <%: Html.TextBoxFor(model => model.Fecha) %>
                <%: Html.ValidationMessageFor(model => model.Fecha) %>
            </div>

            <br />
            <div class="editor-label">
                Servicio:
            </div>
            <div class="editor-field">
                <%: Html.DropDownListFor(model => model.ServicioId, new SelectListItem[0], new { disabled = "disabled" })%>
            </div>

            <br />
            <div class="editor-label">
                Inspector:
            </div>
            <div class="editor-field">
                <%: Html.DropDownListFor(model => model.UsuarioId, new SelectListItem[0], new { disabled = "disabled" })%>
            </div>

            <br />           
            <div class="editor-label">
                Comentarios:
            </div>
            <div class="editor-field">
                <%: Html.TextAreaFor(model => model.Comentarios) %>
                <%: Html.ValidationMessageFor(model => model.Comentarios) %>
            </div>
            
            <p>
                <input type="submit" value="Guardar" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%: Html.ActionLink("Volver al listado", "Index") %>
    </div>

</asp:Content>

