﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<InteLect.Web.InteLectAdministracionService.Servicio>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <script type="text/javascript" src="../../Scripts/jquery-1.4.1.min.js"></script>
    <script type="text/javascript">
        $.ajaxSetup({ cache: false });

        function getClientByAddressId(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetClientByAddressId/")%>' + id, function (client) {
                $(divId).html(client.Nombre + " " + client.Apellidos);
            });
        }

        function getAddressById(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetAddressById/")%>' + id, function (address) {
                $(divId).html(address.Nombre + "<br />" + address.CodigoPostal + " - " + address.Poblacion + " (" + address.Provincia + ")");
            });
        }

        function getCompanyByMeasureId(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetCompanyByMeasureId/")%>' + id, function (company) {
                $(divId).html(company.Nombre);
            });
        }

        function getMeasureById(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetMeasureById/")%>' + id, function (measure) {
                $(divId).html(measure.Nombre);
            });
        }
    </script>

    <h2>Detalles del servicio</h2>

    <fieldset>
        <legend><strong>Servicio</strong></legend>
        
        <div class="display-label">Código:</div>
        <div class="display-field"><%: Model.Codigo %></div>
        
        <br />
        <div class="display-label">Fecha de alta:</div>
        <div class="display-field"><%: String.Format("{0:d}", Model.FechaAlta) %></div>
        
        <br />
        <div class="display-label">Fecha de baja:</div>
        <div class="display-field"><%: String.Format("{0:d}", Model.FechaBaja) %></div>

        <br />
        <div class="display-label">Cliente:</div>
        <div class="display-field"><div id="client"/></div>

        <br />
        <div class="display-label">Dirección:</div>
        <div class="display-field"><div id="address"/></div>

        <br />
        <div class="display-label">Compañía:</div>
        <div class="display-field"><div id="company"/></div>

        <br />
        <div class="display-label">Medida:</div>
        <div class="display-field"><div id="measure"/></div>
        
        <br />
        <div class="display-label">Comentarios:</div>
        <div class="display-field"><%: Model.Comentarios %></div>
        
    </fieldset>
    <p>
        <%: Html.ActionLink("Editar", "Editar", new {  id=Model.ServicioId  }) %> |
        <%: Html.ActionLink("Volver al listado", "Index") %>
    </p>

    <script type="text/javascript">
        $(document).ready(function () {
            getClientByAddressId("<%: Model.DireccionId %>", "#client");
            getAddressById("<%: Model.DireccionId %>", "#address");
            getCompanyByMeasureId("<%: Model.MedidaId %>", "#company");
            getMeasureById("<%: Model.MedidaId %>", "#measure");
        });
    </script>

</asp:Content>

