﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<InteLect.Web.InteLectAdministracionService.Servicio>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	InteLect - Administración Web
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Listado de servicios</h2>

    <script type="text/javascript" src="../../Scripts/jquery-1.4.1.min.js"></script>
    <script type="text/javascript">
        $.ajaxSetup({ cache: false });

        function getClientByAddressId(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetClientByAddressId/")%>' + id, function (client) {
                $(divId).html(client.Nombre + " " + client.Apellidos);
            });
        }

        function getAddressById(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetAddressById/")%>' + id, function (address) {
                $(divId).html(address.Nombre + "<br />" + address.CodigoPostal + " - " + address.Poblacion + " (" + address.Provincia + ")");
            });
        }

        function getCompanyByMeasureId(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetCompanyByMeasureId/")%>' + id, function (company) {
                $(divId).html(company.Nombre);
            });
        }

        function getMeasureById(id, divId) {
            $.post('<%: ResolveUrl("~/Servicios/GetMeasureById/")%>' + id, function (measure) {
                $(divId).html(measure.Nombre);
            });
        }
    </script>

    <table>
        <tr>
            <th>
                Código
            </th>
            <th>
                Fecha de alta
            </th>
            <th>
                Fecha de baja
            </th>
            <th>Cliente</th>
            <th>Dirección</th>
            <th>Compañía</th>
            <th>Medida</th>
            <th>
                Comentarios
            </th>
            <th></th>
        </tr>

    <%  int i = 0;
        foreach (var item in Model) {

           %>
    
        <tr>
            <td>
                <%: item.Codigo %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaAlta) %>
            </td>
            <td>
                <%: String.Format("{0:d}", item.FechaBaja) %>
            </td>
            <td><div id="client<%:i%>"/></td>
            <td><div id="address<%:i%>"/></td>
            <td><div id="company<%:i%>"/></td>
            <td><div id="measure<%:i%>"/></td>
            <td>
                <%: item.Comentarios %>
            </td>
            <td>
                <%: Html.ActionLink("Editar", "Editar", new { id=item.ServicioId  }) %> |
                <%: Html.ActionLink("Detalles", "Detalles", new { id=item.ServicioId  })%> |
                <%: Html.ActionLink("Baja", "Baja", new { id=item.ServicioId  })%>
            </td>
        </tr>
    
        <script type="text/javascript">
            $(document).ready(function () {
                getClientByAddressId("<%: item.DireccionId %>", "#client<%:i%>");
                getAddressById("<%: item.DireccionId %>", "#address<%:i%>");
                getCompanyByMeasureId("<%: item.MedidaId %>", "#company<%:i%>");
                getMeasureById("<%: item.MedidaId %>", "#measure<%:i%>");
            });
        </script>
    <% i++;
       } %>

    </table>

    <p>
        <%: Html.ActionLink("Nuevo servicio", "Nuevo") %>
    </p>

</asp:Content>
